#include <iostream>
#include <vector>
using namespace std;
int main()
{
    int N,i,j;
    cin>>N;
    vector<int>A,B;
    for(i=1,j=2*N-1;i<=j;i=i+2,j=j-2)
    {
        A.push_back(i);
        A.push_back(j);
        if(i==N/2 && N%2!=0)A.push_back(i+2);
    }
    for(i=2,j=2*N;i<=j;i=i+2,j=j-2)
    {
        B.push_back(j);
        B.push_back(i);
        if(i==j && N%2!=0)B.push_back(i+2);
    }
    for(int i=0;i<N;i++)cout<<A[i]<<" ";
    cout<<endl;
    for(int i=0;i<N;i++)cout<<B[i]<<" ";
    system("pause");
    return 0;
}